List Fanout Shopping Queries
curl --request POST \
--url https://api.peec.ai/customer/v1/queries/shopping \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"limit": 1000,
"offset": 0,
"start_date": "2025-09-22",
"end_date": "2025-09-22",
"filters": [
{
"field": "prompt_id",
"operator": "in",
"values": [
"pr_abc123"
]
}
]
}
'import requests
url = "https://api.peec.ai/customer/v1/queries/shopping"
payload = {
"project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
"limit": 1000,
"offset": 0,
"start_date": "2025-09-22",
"end_date": "2025-09-22",
"filters": [
{
"field": "prompt_id",
"operator": "in",
"values": ["pr_abc123"]
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: 'or_f45b94ba-5e35-4982-93ed-285e72ee14eb',
limit: 1000,
offset: 0,
start_date: '2025-09-22',
end_date: '2025-09-22',
filters: [{field: 'prompt_id', operator: 'in', values: ['pr_abc123']}]
})
};
fetch('https://api.peec.ai/customer/v1/queries/shopping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"prompt": {
"id": "pr_93f790de-5b7a-45ee-b782-61103c81f20d"
},
"chat": {
"id": "ch_61184892-36ad-4e1a-8178-3a83608f7711"
},
"model": {
"id": "gpt-4o-search"
},
"model_channel": {
"id": "openai-1"
},
"date": "2025-09-17",
"query": {
"text": "What is Peec?",
"products": [
"Peec AI",
"Peec Pro"
]
}
}
],
"total_count": 42,
"totalCount": 42
}Project
List Fanout Shopping Queries
List the fanout shopping queries of a project
POST
/
queries
/
shopping
List Fanout Shopping Queries
Authorizations
APIKeyHeaderAPIKeyQueryBearerAuth
Query Parameters
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Required range:
1 <= x <= 10000Required range:
x >= 0full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Example:
"2025-09-22"
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Example:
"2025-09-22"
Filter results by specific fields. Multiple filters are AND'd together.
Deprecated: use model_channel_id filter instead
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Example:
[
{
"field": "prompt_id",
"operator": "in",
"values": ["pr_abc123"]
}
]
⌘I
